> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> Lists datasets.
Only datasets created within the same project as your API key will be listed. You can specify a search keyword to filter datasets by name and description.

# List datasets

**Example request:**

<CodeGroup>
  ```curl cURL theme={null}
  curl --request GET \
    --url https://ai.data.cloud/api/v2/team/datasets?user_id=tmm-dafasdfasdfasdf \
    --header 'x-pd-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://ai.data.cloud/api/v2/team/datasets?user_id=tmm-dafasdfasdfasdf"

  headers = {"x-pd-api-key": "<api-key>"}

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</CodeGroup>

**Example response:**

```json 200 theme={null}
{
  "code": 0,
  "data": {
    "page_number": 1,
    "page_size": 10,
    "total_items": 1,
    "records": [
      {
        "id": "dataset-dasfadsgadsgas",
        "name": "mysql",
        "description": "mysql databases"
      }
    ]
  }
}
```


## OpenAPI

````yaml get /v2/team/datasets
openapi: 3.0.1
info:
  title: Team Open API Snake
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security:
  - apikey-header-x-pd-api-key: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v2/team/datasets:
    get:
      tags:
        - Dataset
      summary: List datasets
      description: >-
        Lists datasets.


        Only datasets created within the same project as your API key will be
        listed. 


        You can specify a search keyword to filter datasets by name and
        description.
      parameters:
        - name: page_number
          in: query
          description: >-
            The page number to start listing. If not specified, the default
            value `1` will be used.
          required: false
          schema:
            type: integer
        - name: page_size
          in: query
          description: >-
            The number of items on a single page. If not specified, the default
            value `10` will be used.
          required: false
          schema:
            type: integer
        - name: search
          in: query
          description: >-
            The search keyword, which can be up to 128 characters in length.
            Datasets with names or descriptions containing this keyword will be
            listed. 


            If omitted, all datasets in the project will be listed.
          required: false
          schema:
            type: string
        - name: user_id
          in: query
          description: >-
            Your user ID, which uniquely identifies you within your team. To
            obtain your ID:


            - If you're the team admin, refer to [Check user
            information](/enterprise/users#check-user-information).

            - If you're a system or virtual user, ask your team admin to check
            your user ID by referring to [Check user
            information](/enterprise/users#check-user-information).
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: >-
            The trace ID you set in your system to trace this request. It can be
            up to 128 characters in length. If the request fails, you can
            provide it to the Powerdrill team to help with troubleshooting.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. For error
                      troubleshooting, refer to [Error
                      Codes](/api-reference/error-codes).
                  data:
                    type: object
                    properties:
                      page_number:
                        type: integer
                        description: The page number of the current page.
                      page_size:
                        type: integer
                        description: >-
                          The number of items that are returned in a single
                          page.
                      total_items:
                        type: integer
                        description: The total number of datasets returned in the response.
                      records:
                        type: array
                        items:
                          $ref: '#/components/schemas/DatasetDTO'
                        description: A list of dataset objects.
                    required:
                      - page_number
                      - page_size
                      - total_items
                      - records
                    description: The returned data object.
                required:
                  - data
                  - code
              example:
                code: 0
                data:
                  page_number: 1
                  page_size: 10
                  total_items: 1
                  records:
                    - id: dataset-dasfadsgadsgas
                      name: mysql
                      description: mysql databases
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: >-
                The trace ID returned by Powerdrill. If a failure occurs, you
                can provide it to the Powerdrill team to assist with
                troubleshooting.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  schemas:
    DatasetDTO:
      type: object
      properties:
        id:
          type: string
          description: The dataset ID, which uniquely identifies the dataset.
        name:
          type: string
          description: The dataset name.
        description:
          type: string
          description: The dataset description.
      required:
        - id
        - name
        - description
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````